# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.drivers.dm.base import (
    DMDriverBase,
    DMSegmentC,
    DMSegmentH,
    DMSegmentL,
    DMSegmentO,
    DMSegmentP,
    DMSegmentQ,
    DMSegmentR,
)


class DMDriver(DMDriverBase):
    SPEC = {"code": "dm", "label": "CellaVision DM"}
    SEGMENT_CLASS_MAP = {
        "H": DMSegmentH,
        "P": DMSegmentP,
        "O": DMSegmentO,
        "Q": DMSegmentQ,
        "R": DMSegmentR,
        "C": DMSegmentC,
        "L": DMSegmentL,
    }
